package facebook;

import java.util.ArrayList;
import java.util.List;

public class Facebook {
	private List<User> userArray_;
	private List<Comment> commentArray_;
	
	public Facebook() {
		userArray_ = new ArrayList<User>();
		commentArray_ = new ArrayList<Comment>();
	}
	
	public boolean checkUserName(String userNameToCheck) {
		for (User user : userArray_) {
			if (userNameToCheck.equals(user.getUserName())) {
				return false;
			}
		}
		return true;
	}
	
	public boolean addUser(User userToAdd) {
		if (checkUserName(userToAdd.getUserName())) {
			userArray_.add(userToAdd);
			return true;
		} else {
			return false;
		}
	}
	
	public boolean addComment(Comment commentToAdd) {
		commentArray_.add(commentToAdd);
		return true;
	}
	
	public void printComments() {
		for(Comment comment : commentArray_) {
			comment.print();
		}
	}
}
