import java.util.Collection;
import java.util.HashMap;
import java.util.Iterator;
import java.util.Set;


public class HashMapExample {
	public static void main(String args[]) {
		HashMap<String, Integer> map = new HashMap<String, Integer>();
		
		map.put("one", new Integer(1));
		map.put("two", new Integer(2));
		map.put("three", new Integer(3));
		map.put("four", new Integer(4));
		map.put("five", new Integer(5));
		
		Set<String> keys = map.keySet();
		System.out.println(keys);
		
		Collection<Integer> values = map.values();
		System.out.println(values);
		
		for(String key: keys) {
		    System.out.println("Value of "+key+" is: "+map.get(key));
		}
		
		Iterator<String> iter = keys.iterator();
		while(iter.hasNext()) {
			String key = iter.next();
			System.out.println("Value of "+key+" is: "+map.get(key));
		}
	}
}
