package facebook;
public class User {
	private PersonalInfo pInfo_;
    private String userName_;
	private String password_;
	private String access_;
	
	public static int counter = 0;
 
	public User(PersonalInfo pInfo, String userName, String password, String access) {
		pInfo_ = pInfo;
		userName_ = userName;
		password_ = password;
		access_ = access;
		
		counter++;
	}
	
	public User(PersonalInfo pInfo, String userName, String password) {
		pInfo_ = pInfo;
		userName_ = userName;
		password_ = password;
		
		counter++;
	}
	
	public User() {
		counter++;
	}
 
	public boolean passwordCheck(String enteredPassword) {
		if (password_.equals(enteredPassword)) {
			return true;
		}
        return false;
	}
	
	public boolean setPassword(String oldPassword, String newPassword) {
		if(this.passwordCheck(oldPassword)) {
			password_ = newPassword;
			return true;
		} else {
			return false;
		}
	}

	public void setUserName(String newNickName) {
		userName_ = newNickName;
	}
	
	public String getUserName() {
		return userName_;
	}
	
	public void setTrait(String trait, String value) {
        pInfo_.setTrait(trait, value);
    }

    public String getTrait(String trait) {
        return pInfo_.getTrait(trait);
    }
}